<div class="container mt-5" id="pdfTemplate" #pdfTemplate>
  <div class="row">
      <div class="col-12">
          <div class="card">
              <div class="card-body p-0">
                  <div class="row p-5">

                      <div class="col-md-6 text-right">
                          <p class="font-weight-bold mb-1">Invoice {{invoice.id}}</p>
                          <p class="text-muted">Due to: {{nextWeek | date:'yyyy-MM-dd'}}</p>
                      </div>
                  </div>

                  <hr class="my-5">

                  <div class="row pb-5 p-5">
                      <div class="col-md-6">
                          <p class="font-weight-bold mb-4">Client Information</p>
                          <p class="mb-1">{{client.name}}</p>
                          <p>{{client.address.houseNumber}} {{client.address.street}}</p>
                          <p class="mb-1">{{client.address.city}}, {{client.address.country}}</p>
                      </div>

                      <div class="col-md-6 text-right">
                          <p class="font-weight-bold mb-4">Payment Details</p>
                          <p class="mb-1"><span class="text-muted">VAT: </span> - </p>
                          <p class="mb-1"><span class="text-muted">VAT ID: </span> - </p>
                          <p class="mb-1"><span class="text-muted">Payment Type: </span> Debit</p>
                          <p class="mb-1"><span class="text-muted">Name: </span> {{client.name}}</p>
                      </div>
                  </div>

                  <div class="row p-5">
                      <div class="col-md-12">
                          <table class="table">
                              <thead>
                                  <tr>
                                      <th class="border-0 text-uppercase small font-weight-bold">ID</th>
                                      <th class="border-0 text-uppercase small font-weight-bold">Description</th>
                                      <th class="border-0 text-uppercase small font-weight-bold">Quantity</th>
                                      <th class="border-0 text-uppercase small font-weight-bold">Unit Cost</th>
                                      <th class="border-0 text-uppercase small font-weight-bold">Total</th>
                                  </tr>
                              </thead>
                              <tbody>
                                  <tr *ngFor="let item of invoice.items,let index = index">
                                      <td>{{index}}</td>
                                      <td>{{item.description}}</td>
                                      <td>{{item.quantity}}</td>
                                      <td>${{item.cost}}</td>
                                      <td>${{item.amount}}</td>
                                  </tr>
                              </tbody>
                          </table>
                      </div>
                  </div>

                  <div class="d-flex flex-row-reverse bg-dark text-white p-4">
                      <div class="py-3 px-5 text-right">
                          <div class="mb-2">Grand Total</div>
                          <div class="h2 font-weight-light">${{total}}</div>
                      </div>

                      <div class="py-3 px-5 text-right">
                          <div class="mb-2">Discount</div>
                          <div class="h2 font-weight-light">-</div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>

<div class = "container">
  <button type="submit" class="btn btn-success m-5" (click)="printPdf()">Print PDF</button>
</div>

